apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.131.1.167"
          ],
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.131.1.167"
          ],
          "default": true,
          "dns": {}
      }]
    openshift.io/backup-registry-hostname: image-registry.openshift-image-registry.svc:5000
    openshift.io/backup-server-version: "1.23"
    openshift.io/restore-registry-hostname: image-registry.openshift-image-registry.svc:5000
    openshift.io/restore-server-version: "1.23"
    openshift.io/scc: restricted
  creationTimestamp: "2022-07-31T09:47:05Z"
  labels:
    app: benchmark
    pod-template-hash: 5bd5dfd7fd
    velero.io/backup-name: case-2.1.1-rbd-restic-backup
    velero.io/restore-name: case-2.1.1-rbd-restic-restore
  name: perf-datagen-case1-5bd5dfd7fd-zxctb
  namespace: perf-datagen-case1-ocs-storagecluster-ceph-rbd
  resourceVersion: "691746618"
  uid: fd0dabe6-4d91-4189-94ca-1351c163a5d8
spec:
  containers:
  - env:
    - name: DEPT_COUNT
      value: "1"
    - name: DIR_COUNT
      value: "5"
    - name: FILES_COUNT
      value: "1000000"
    - name: FILES_SIZE
      value: "100"
    - name: ROLE
      value: generator
    - name: PVC_SIZE
      value: 80Gi
    - name: BS
      value: 1M
    - name: COUNT
      value: "1048576"
    envFrom:
    - configMapRef:
        name: settings
    image: quay.io/tzahia/datagen:latest
    imagePullPolicy: Always
    name: data-generator
    resources: {}
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000670000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /opt/mounts/mnt1
      name: vol-0
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-mw27h
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: default-dockercfg-c4dss
  initContainers:
  - args:
    - b3d9d672-18f4-45db-bda0-090d1178e919
    command:
    - /velero-restic-restore-helper
    env:
    - name: POD_NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    image: registry.redhat.io/oadp/oadp-velero-restic-restore-helper-rhel8@sha256:1e780966f7a918b73cf72eb9160e7cfd7b12fad680fa8e914595d8b193363c16
    imagePullPolicy: IfNotPresent
    name: restic-wait
    resources:
      limits:
        cpu: 100m
        memory: 128Mi
      requests:
        cpu: 100m
        memory: 128Mi
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000670000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /restores/vol-0
      name: vol-0
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-mw27h
      readOnly: true
  nodeName: worker002-r640
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000670000
    seLinuxOptions:
      level: s0:c26,c10
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: vol-0
    persistentVolumeClaim:
      claimName: perf-datagen-case1
  - name: kube-api-access-mw27h
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2022-07-31T09:47:05Z"
    message: 'containers with incomplete status: [restic-wait]'
    reason: ContainersNotInitialized
    status: "False"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2022-07-31T09:47:05Z"
    message: 'containers with unready status: [data-generator]'
    reason: ContainersNotReady
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2022-07-31T09:47:05Z"
    message: 'containers with unready status: [data-generator]'
    reason: ContainersNotReady
    status: "False"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2022-07-31T09:47:05Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - image: quay.io/tzahia/datagen:latest
    imageID: ""
    lastState: {}
    name: data-generator
    ready: false
    restartCount: 0
    started: false
    state:
      waiting:
        reason: PodInitializing
  hostIP: 10.1.60.15
  initContainerStatuses:
  - containerID: cri-o://bfcc217f1d23cc4cfebb90e1de6abae57c5cab5b405ddaecc83bf3e3dae804de
    image: registry.redhat.io/oadp/oadp-velero-restic-restore-helper-rhel8@sha256:1e780966f7a918b73cf72eb9160e7cfd7b12fad680fa8e914595d8b193363c16
    imageID: registry.redhat.io/oadp/oadp-velero-restic-restore-helper-rhel8@sha256:1e780966f7a918b73cf72eb9160e7cfd7b12fad680fa8e914595d8b193363c16
    lastState: {}
    name: restic-wait
    ready: false
    restartCount: 0
    state:
      running:
        startedAt: "2022-07-31T09:47:18Z"
  phase: Pending
  podIP: 10.131.1.167
  podIPs:
  - ip: 10.131.1.167
  qosClass: Burstable
  startTime: "2022-07-31T09:47:05Z"
